Subject: Re: bug#14019: conditional tests and parallel test harness

From: Stefano Lattarini <[email-masked]>
Date: Sat, 20 Apr 2013 21:17:24 +0200

severity 14019 minor
thanks

Hi Sven, sorry for the shameful delay.

On 03/20/2013 05:10 PM, Sven Verdoolaege wrote:
> The parallel test harness doesn't seem to like conditional tests.
>
Not if they don't have extensions declared with TEST_EXTENSIONS.  This is
just a limitation you'll have to live with, sorry (it's not a burdensome
one IMHO).

OTOH, I don't see this limitation documented anywhere in the manual, which
is not very user-friendly, and certainly explains your confusion.  I'm thus
not closing this report, since I plan to address this shortcoming sooner or
later.  In the meantime, suggestions about where to place such advice and
how to formulate it would be very welcome.

>
> [SNIP]
> 
> Is it no longer allowed to have conditional tests as in
> 
>     TESTS = @extra_tests@
>     EXTRA_TESTS = pet_test.sh
> 
> or is anything missing from my input?
>
If you add "TEST_EXTENSIONS = .sh", everything should work again.
Can you confirm this is the case?

> Thanks in advance,
> skimo

Best regards, and HTH (albeit belatedly),
  Stefano